package dev.kske.chess.pgn;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

import dev.kske.chess.exception.ChessException;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>PGNDatabase.java</strong><br>
 * Created: <strong>4 Oct 2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class PGNDatabase {

	private final List<PGNGame>	games	= new ArrayList<>();

	public void load(File pgnFile) throws FileNotFoundException, ChessException {
		try (Scanner sc = new Scanner(pgnFile)) {
			while (sc.hasNext())
				games.add(PGNGame.parse(sc));
		} catch (FileNotFoundException | ChessException e) {
			throw e;
		}
	}

	public List<PGNGame> getGames() { return games; }
}
